summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--system/xf86-input-synaptics/README23
-rw-r--r--system/xf86-input-synaptics/README.SLACKWARE28
-rw-r--r--system/xf86-input-synaptics/slack-desc19
-rw-r--r--system/xf86-input-synaptics/xf86-input-synaptics.SlackBuild94
-rw-r--r--system/xf86-input-synaptics/xf86-input-synaptics.info8
5 files changed, 172 insertions, 0 deletions
diff --git a/system/xf86-input-synaptics/README b/system/xf86-input-synaptics/README
new file mode 100644
index 0000000000..25458be286
--- /dev/null
+++ b/system/xf86-input-synaptics/README
@@ -0,0 +1,23 @@
+This is a driver for the Synaptics TouchPad for XOrg. A Synaptics touchpad
+by default operates in compatibility mode by emulating a standard mouse.
+However, by using a dedicated driver, more advanced features of the touchpad
+becomes available.
+
+Features:
+ Movement with adjustable, non-linear acceleration and speed.
+ Button events through short touching of the touchpad.
+ Double-Button events through double short touching of the touchpad.
+ Dragging through short touching and holding down on the touchpad.
+ Middle and right button events on the corners of the touchpad.
+ Vertical scrolling through moving on the right side of the touchpad.
+ The up/down button sends button four/five events.
+ Horizontal scrolling through moving on the lower side of the touchpad.
+ The multi-buttons send button events for scrolling.
+ Adjustable finger detection.
+ Multifinger taps (Not all hardware implements this feature.)
+ Run-time configuration using shared memory.
+
+This driver requires manual configuration of X.org/XFree86.
+Review the INSTALL file in /usr/doc/xf86-input-synaptics-0.99.1 for details,
+and also see /usr/doc/xf86-input-synaptics-0.99.1/README-SLACKWARE
+for a hint.
diff --git a/system/xf86-input-synaptics/README.SLACKWARE b/system/xf86-input-synaptics/README.SLACKWARE
new file mode 100644
index 0000000000..7b20b722a5
--- /dev/null
+++ b/system/xf86-input-synaptics/README.SLACKWARE
@@ -0,0 +1,28 @@
+/usr/doc/xf86-input-synaptics-0.99.1/README.SLACKWARE
+
+Last modified 20081113 - rworkman@slackbuilds.org
+
+On every system I've tested, the synaptics xorg module requires that
+the psmouse kernel module be loaded without any special options.
+This poses a problem on a default Slackware 12.1 installation, as
+/etc/modprobe.d/psmouse causes the psmouse module to load with the
+imps protocol. This is easily fixed though :-)
+
+First, edit /etc/modprobe.d/psmouse so that it looks like this (note
+that we're simply commenting out the last line):
+ # PS/2 mouse support:
+ # The default options when the psmouse module is loaded will completely
+ # break the mouse if you change consoles with several models of KVM
+ # switches. Therefore, we'll have it use the imps protocol here, which
+ # is a more basic protocol that is less likely to cause problems with
+ # the mouse. If you'd rather use the kernel default options, just
+ # comment out the line below. If you'd rather choose your own options,
+ # then edit the line below as desired.
+ #options psmouse proto=imps
+
+Next, unload and reload the psmouse module (do this as root):
+ modprobe -r psmouse
+ modprobe psmouse
+
+That's it - now just follow the instructions for editing your xorg.conf!
+
diff --git a/system/xf86-input-synaptics/slack-desc b/system/xf86-input-synaptics/slack-desc
new file mode 100644
index 0000000000..156b83ed15
--- /dev/null
+++ b/system/xf86-input-synaptics/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------|
+xf86-input-synaptics: xf86-input-synaptics (Synaptics touchpad driver)
+xf86-input-synaptics:
+xf86-input-synaptics: This is a driver for the Synaptics TouchPad for XOrg.
+xf86-input-synaptics:
+xf86-input-synaptics: A Synaptics touchpad by default operates in
+xf86-input-synaptics: compatibility mode by emulating a standard mouse.
+xf86-input-synaptics: However, by using a dedicated driver, more advanced
+xf86-input-synaptics: features of the touchpad become available.
+xf86-input-synaptics:
+xf86-input-synaptics:
+xf86-input-synaptics:
diff --git a/system/xf86-input-synaptics/xf86-input-synaptics.SlackBuild b/system/xf86-input-synaptics/xf86-input-synaptics.SlackBuild
new file mode 100644
index 0000000000..c75a23a834
--- /dev/null
+++ b/system/xf86-input-synaptics/xf86-input-synaptics.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Copyright 2008 Robby Workman Northport, AL, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by Heinz Wiesinger <hmwiesinger@gmx.at>
+# -- no additional license terms added
+
+NAME=xf86-input-synaptics
+VERSION=0.99.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$NAME
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$NAME-$VERSION.tar.bz2
+cd $NAME-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc/X11 \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$NAME-$VERSION/fdi
+cp -a ChangeLog COPYING INSTALL NEWS README TODO \
+ $PKG/usr/doc/$NAME-$VERSION
+cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$VERSION/$NAME.SlackBuild
+cat $CWD/README.SLACKWARE > $PKG/usr/doc/$NAME-$VERSION/README.SLACKWARE
+# Put the example fdi file in here and change the manpage to reference
+# the correct directory
+cp fdi/11-x11-synaptics.fdi $PKG/usr/doc/$NAME-$VERSION/fdi
+sed -i s%\$\{sourcecode\}%/usr/doc/$NAME-$VERSION% \
+ $PKG/usr/man/man4/synaptics.4
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$NAME-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/xf86-input-synaptics/xf86-input-synaptics.info b/system/xf86-input-synaptics/xf86-input-synaptics.info
new file mode 100644
index 0000000000..85096dd420
--- /dev/null
+++ b/system/xf86-input-synaptics/xf86-input-synaptics.info
@@ -0,0 +1,8 @@
+PRGNAM="xf86-input-synaptics"
+VERSION="0.99.1"
+HOMEPAGE="http://xorg.freedesktop.org/"
+DOWNLOAD="http://xorg.freedesktop.org/archive/individual/driver/xf86-input-synaptics-0.99.1.tar.bz2"
+MD5SUM="25e73c67f24cf65fa0283018cf631f32"
+MAINTAINER="Robby Workman"
+EMAIL="rw@rlworkman.net"
+APPROVED="dsomero"